﻿using FarPoint.Excel.EntityClassLibrary.DrawingEx;
using FarPoint.Win.Spread.CellType;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace CustomCellEditor
{
    public partial class CustomCellEditor : Form, ISubEditor
    {
        static RadioButton selectedButtonColor;
        static RadioButton selectedButtonSex;

        public CustomCellEditor()
        {
            InitializeComponent();
            this.FormBorderStyle= FormBorderStyle.None;
        }

        public event EventHandler ValueChanged;
        public event EventHandler CloseUp;

        public Point GetLocation(Rectangle rect)
        {
            return new Point();
        }

        public Size GetPreferredSize()
        {
            return new Size(180, 280);
        }

        public Control GetSubEditorControl()
        {
            return this;
        }

        public object GetValue()
        {
            selectedButtonColor = groupBox1.Controls.OfType<RadioButton>().FirstOrDefault(n => n.Checked);
            selectedButtonSex = groupBox2.Controls.OfType<RadioButton>().FirstOrDefault(n => n.Checked);
            return ((selectedButtonColor != null) ? selectedButtonColor.Text : "")
                + " " + ((selectedButtonSex != null) ? selectedButtonSex.Text : "");
        }

        public void SetValue(object value)
        {
            
        }

        private void button1_Click(object sender, EventArgs e)
        {
            selectedButtonColor = groupBox1.Controls.OfType<RadioButton>().FirstOrDefault(n => n.Checked);
            selectedButtonSex = groupBox2.Controls.OfType<RadioButton>().FirstOrDefault(n => n.Checked);
            if (selectedButtonColor != null)
            {
                if(selectedButtonSex != null)
                {
                    selectedButtonSex.Checked = false;
                }
                selectedButtonColor.Checked = false;
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            this.Close();
        }
    }
}
